Feed

Operations of the Activity Feed API. Paths are relative to your deployment's API host.

GET /api/activity-feed-api/feed/inbox

Cross-project activity feed (inbox)

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
afterquerystringnoCursor: return items after this feed item ID
afterEhGlobalSeqquerystringnoResume cursor: return items with ehGlobalSeq strictly greater than this value (stringified BigInt). Mutually exclusive with after/before/since — use this on cold-start to backfill from a persisted client cursor.
beforequerystringnoCursor: return items before this feed item ID
categoryquerystringnoFilter by category (comma-separated)
limitquerynumbernoMax items per page
severityquerystringnoFilter by severity (comma-separated)
sincequerystringnoOnly items after this timestamp (ISO 8601)
StatusDescriptionBody
200application/json FeedItemResponseDtoPaginatedEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/activity-feed-api/feed/projects/{projectId}

Project-scoped activity feed

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyesUUID of the project
afterquerystringnoCursor: return items after this feed item ID
afterEhGlobalSeqquerystringnoResume cursor: return items with ehGlobalSeq strictly greater than this value (stringified BigInt). Mutually exclusive with after/before/since — use this on cold-start to backfill from a persisted client cursor.
beforequerystringnoCursor: return items before this feed item ID
categoryquerystringnoFilter by category (comma-separated)
limitquerynumbernoMax items per page
severityquerystringnoFilter by severity (comma-separated)
sincequerystringnoOnly items after this timestamp (ISO 8601)
StatusDescriptionBody
200application/json FeedItemResponseDtoPaginatedEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

PATCH /api/activity-feed-api/feed/projects/{projectId}/cursor

Update project read cursor

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes

Request body: application/json UpdateCursorDto

StatusDescriptionBody
200application/json CursorAckResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/activity-feed-api/feed/projects/{projectId}/unread

Unread count for a project feed

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
projectIdpathstringyes
deviceIdquerystringnoClient device identifier
StatusDescriptionBody
200application/json UnreadResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/activity-feed-api/feed/spaces/{spaceRef}

Space-scoped activity feed

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
spaceRefpathstringyesOpaque reference of the space whose feed to read
afterquerystringnoCursor: return items after this feed item ID
afterEhGlobalSeqquerystringnoResume cursor: return items with ehGlobalSeq strictly greater than this value (stringified BigInt). Mutually exclusive with after/before/since — use this on cold-start to backfill from a persisted client cursor.
beforequerystringnoCursor: return items before this feed item ID
categoryquerystringnoFilter by category (comma-separated)
limitquerynumbernoMax items per page
severityquerystringnoFilter by severity (comma-separated)
sincequerystringnoOnly items after this timestamp (ISO 8601)
StatusDescriptionBody
200application/json FeedItemResponseDtoPaginatedEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto